# Generated by Django 2.0.13 on 2019-07-30 07:53

from django.db import migrations, models
import wagtail.fields
import wagtail.search.index


class Migration(migrations.Migration):
    dependencies = [
        ("categories", "0002_metacategory"),
    ]

    operations = [
        migrations.CreateModel(
            name="MetaTerm",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("path", models.CharField(max_length=255, unique=True)),
                ("depth", models.PositiveIntegerField()),
                ("numchild", models.PositiveIntegerField(default=0)),
                (
                    "name",
                    models.CharField(
                        help_text="Keep the name short, ideally one word.",
                        max_length=50,
                        unique=True,
                    ),
                ),
                (
                    "is_archived",
                    models.BooleanField(default=False, verbose_name="Archived"),
                ),
                ("help_text", wagtail.fields.RichTextField(blank=True)),
                (
                    "filter_on_dashboard",
                    models.BooleanField(
                        default=True, help_text="Make available to filter on dashboard"
                    ),
                ),
                (
                    "available_to_applicants",
                    models.BooleanField(
                        default=False, help_text="Make available to applicants"
                    ),
                ),
                (
                    "node_order_index",
                    models.IntegerField(blank=True, default=0, editable=False),
                ),
            ],
            options={
                "verbose_name": "Meta Term",
                "verbose_name_plural": "Meta Terms",
            },
            bases=(wagtail.search.index.Indexed, models.Model),
        ),
    ]
